//
//  Generated by OWNBRANDER on Tue, 15 Jun 2021 11:07:07 +0000
//

#ifndef OWNCLOUDONLINE_THEME_H
#define OWNCLOUDONLINE_THEME_H

#include "theme.h"
#include "version.h"

#include <QString>
#include <QDebug>
#include <QPixmap>
#include <QIcon>
#include <QApplication>


namespace OCC {

class OwncloudonlineTheme : public Theme
{
public:
    OwncloudonlineTheme() {};
    QString configFileName() const { return QLatin1String("owncloudonline.cfg"); }

    QString defaultServerFolder() const { return  QStringLiteral("/"); }
    QString quotaBaseFolder() const { return QStringLiteral("/"); }
    QString forceConfigAuthType() const { return QStringLiteral(""); }
      //QString overrideServerUrl() const { return QString(); }
     //QString helpUrl() const { return QString(); }
    QString conflictHelpUrl() const { return QString(); }

    QString wizardUrlPostfix() const { return QStringLiteral(""); }

        QColor wizardHeaderBackgroundColor() const { return QColor("#FFFFFF"); }
    QColor wizardHeaderTitleColor() const { return QColor("#7b9caa"); }
    QString wizardUrlHint() const { return QStringLiteral("https://yourdomain.owncloud.online"); }

    bool forceSystemNetworkProxy() const { return true; }
#if QT_VERSION_CHECK(MIRALL_VERSION_MAJOR, MIRALL_VERSION_MINOR, MIRALL_VERSION_PATCH) < QT_VERSION_CHECK(2, 7, 0)
    QPixmap wizardHeaderLogo() const { return QPixmap(QStringLiteral(":/client/theme/colored/wizard_logo.png")); }
#elif QT_VERSION_CHECK(MIRALL_VERSION_MAJOR, MIRALL_VERSION_MINOR, MIRALL_VERSION_PATCH) < QT_VERSION_CHECK(2, 7, 4)
    // This is broken, but no reason to break the build ...
    QIcon wizardHeaderLogo() const { return QIcon(); };
#else
    QIcon wizardHeaderLogo() const { return themeUniversalIcon(QStringLiteral("wizard_logo")); };
#endif

    bool singleSyncFolder() const { return false; }
    bool multiAccount() const { return false; }
    bool userGroupSharing() const { return true; }
    bool linkSharing() const { return true; }

    UserIDType userIDType() const { return UserIDUserName; }

    
    
    bool wizardHideExternalStorageConfirmationCheckbox () const { return false; }
    bool wizardHideFolderSizeLimitCheckbox () const { return false; }


    QString about() const  {
        QString devString = tr("<p>Version %1. For more information visit <a href=\"%2\">https://%3</a></p>").arg(Utility::escape(QStringLiteral(MIRALL_VERSION_STRING)), Utility::escape(QStringLiteral("https://" MIRALL_STRINGIFY(APPLICATION_DOMAIN))), Utility::escape(QStringLiteral(MIRALL_STRINGIFY(APPLICATION_DOMAIN))));

        devString += tr("<p>Copyright ownCloud GmbH</p>");
        devString += tr("<p>Distributed by %1 and licensed under the GNU General Public License (GPL) Version 2.0.<br/>")
                  .arg(Utility::escape(QStringLiteral(APPLICATION_VENDOR)));
        devString += gitSHA1();

        return devString;
    }

    bool aboutShowCopyright() const { return true; }

    bool showVirtualFilesOption() const { return true; }

    bool forceVirtualFilesOption() const { return false; }

    bool enableExperimentalFeatures() const {
        // TODO: add ownbrander flag
        return false;
    }
};

} // namespace mirall

#endif // owncloudonline_THEME_H
